> ## Documentation Index
> Fetch the complete documentation index at: https://docs.4r.sa/llms.txt
> Use this file to discover all available pages before exploring further.

# List Custom Domains

> Get all your custom domains

<RequestExample>
  ```bash cURL theme={null}
  curl -X GET https://snip.sa/api/domains \
    -H "X-API-Key: your_api_key_here"
  ```

  ```javascript JavaScript theme={null}
  const response = await axios.get('https://snip.sa/api/domains', {
    headers: { 'X-API-Key': 'your_api_key_here' }
  });
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "success": true,
    "data": {
      "domains": [
        {
          "_id": "507f1f77bcf86cd799439015",
          "domain": "yourdomain.com",
          "subdomain": null,
          "fullDomain": "yourdomain.com",
          "status": "active",
          "verified": true,
          "createdAt": "2024-01-10T08:00:00.000Z"
        }
      ]
    }
  }
  ```
</ResponseExample>
